
Database - Bug #2937

improved sequence support in H2

12/17/2015 12:44 PM - Ovidiu Maxiniuc

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 12/17/2015 12:57 PM - Ovidiu Maxiniuc

The H2 database engine is active developed. Starting at version 1.3.176 (2014-04-05) it fixes support for MINVALUE, MAXVALUE and CYCLE for

sequences, after it was  added in version 1.3.175 (2014-01-18).

The current implementation is based on an older version (1.3.169) that had only basic sequence support. Switching to a new version would greatly

simplify the H2SequenceHandler class by removing client-side code that handles needed features that were missing in H2 at that time.

The version 1.4 is in beta phase for some time now and will probably be soon released as stable (I could not find an estimated date on their

roadmap). Porting to the new version might be necessary.

#2 - 03/27/2016 11:05 PM - Eric Faulhaber

- Target version set to Milestone 11

#3 - 04/12/2016 06:55 AM - Greg Shah

Wrong task was edited.

#4 - 04/12/2016 06:56 AM - Greg Shah

I edited the wrong task, sorry.

#5 - 04/12/2016 09:00 AM - Eric Faulhaber

- Target version deleted (Milestone 11)

I am removing this issue from M11. The existing sequence support works fine with H2 1.4, this is just a matter of changing that implementation to take

advantage of the new sequence support, but it is not mandatory. Also, H2 is only used as a temp-table database in the customer's code -- it is not a

supported, external database, so sequence use does not even come into play.
